Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.jce
Class GnuCrypto

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--java.util.Properties
                        |
                        +--java.security.Provider
                              |
                              +--gnu.crypto.jce.GnuCrypto

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public final class GnuCrypto
extends java.security.Provider

The GNU Crypto implementation of the Java Cryptographic Extension (JCE) Provider.

See Also:
  `Provider`, Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`GnuCrypto()` The GNU Crypto Provider.

Method Summary
`static java.util.Set` | `getCipherNames()` Returns a `Set` of names of symmetric key block cipher algorithms available from this `Provider`.
`static java.util.Set` | `getKeyPairGeneratorNames()` Returns a `Set` of names of keypair generator implementations available from this `Provider`.
`static java.util.Set` | `getMacNames()` Returns a `Set` of names of MAC algorithms available from this `Provider`.
`static java.util.Set` | `getMessageDigestNames()` Returns a `Set` of names of message digest algorithms available from this `Provider`.
`static java.util.Set` | `getSaslClientMechanismNames()` Returns a `Set` of names of SASL Client mechanisms available from this `Provider`.
`static java.util.Set` | `getSaslServerMechanismNames()` Returns a `Set` of names of SASL Server mechanisms available from this `Provider`.
`static java.util.Set` | `getSecureRandomNames()` Returns a `Set` of names of secure random implementations available from this `Provider`.
`static java.util.Set` | `getSignatureNames()` Returns a `Set` of names of signature scheme implementations available from this `Provider`.

Methods inherited from class java.security.Provider
`clear, entrySet, getInfo, getName, getVersion, keySet, load, put, putAll, remove, toString, values`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, propertyNames, save, setProperty, store`

Methods inherited from class java.util.Hashtable
`clone, contains, containsKey, containsValue, elements, equals, get, hashCode, isEmpty, keys, rehash, size`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GnuCrypto

    public GnuCrypto()

  The GNU Crypto Provider.

Method Detail

### getMessageDigestNames

    public static final java.util.Set getMessageDigestNames()

  Returns a `Set` of names of message digest algorithms available from this `Provider`.

  Returns:
    a `Set` of hash names (Strings).

### getSecureRandomNames

    public static final java.util.Set getSecureRandomNames()

  Returns a `Set` of names of secure random implementations available from this `Provider`.

  Returns:
    a `Set` of secure random names (Strings).

### getKeyPairGeneratorNames

    public static final java.util.Set getKeyPairGeneratorNames()

  Returns a `Set` of names of keypair generator implementations available from this `Provider`.

  Returns:
    a `Set` of key pair generator names (Strings).

### getSignatureNames

    public static final java.util.Set getSignatureNames()

  Returns a `Set` of names of signature scheme implementations available from this `Provider`.

  Returns:
    a `Set` of signature names (Strings).

### getCipherNames

    public static final java.util.Set getCipherNames()

  Returns a `Set` of names of symmetric key block cipher algorithms available from this `Provider`.

  Returns:
    a `Set` of cipher names (Strings).

### getMacNames

    public static final java.util.Set getMacNames()

  Returns a `Set` of names of MAC algorithms available from this `Provider`.

  Returns:
    a `Set` of MAC names (Strings).

### getSaslClientMechanismNames

    public static final java.util.Set getSaslClientMechanismNames()

  Returns a `Set` of names of SASL Client mechanisms available from this `Provider`.

  Returns:
    a `Set` of SASL Client mechanisms (Strings).

### getSaslServerMechanismNames

    public static final java.util.Set getSaslServerMechanismNames()

  Returns a `Set` of names of SASL Server mechanisms available from this `Provider`.

  Returns:
    a `Set` of SASL Server mechanisms (Strings).

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.